polybori::groebner::NextSpoly Class Reference

This class computes the next spoly for a generator pair. More...

`#include <NextSpoly.h>`

## Public Member Functions

| NextSpoly (ReductionStrategy &gen, PairStatusSet &status)
Polynomial | operator() (const Pair &act_pair)

## Protected Member Functions

Polynomial | compute (const Pair &act_pair, const Polynomial &result)
Polynomial | compute (const IJPairData &ij, const Polynomial &res)
Polynomial | compute (const VariablePairData &vp, const Polynomial &res)
void | replacePair (int &first, int &second)
template<class Iterator >
void | replacePair (Iterator start, Iterator finish, int &first, int &second)

## Detailed Description

This class computes the next spoly for a generator pair.

## Constructor & Destructor Documentation

polybori::groebner::NextSpoly::NextSpoly | ( | ReductionStrategy & | gen,
|  | PairStatusSet & | status
| ) |  |

inline

## Member Function Documentation

Polynomial polybori::groebner::NextSpoly::compute | ( | const Pair & | act_pair,
|  | const Polynomial & | result
| ) |  |

inline protected

References polybori::groebner::PairE::getType(), polybori::groebner::IJ_PAIR, polybori::groebner::PairE::ijPair(), polybori::groebner::VARIABLE_PAIR, and polybori::groebner::PairE::variablePair().

Polynomial polybori::groebner::NextSpoly::compute | ( | const IJPairData & | ij,
|  | const Polynomial & | res
| ) |  |

inline protected

References polybori::groebner::IJPairData::i, polybori::groebner::IJPairData::j, and polybori::spoly().

Polynomial polybori::groebner::NextSpoly::compute | ( | const VariablePairData & | vp,
|  | const Polynomial & | res
| ) |  |

inline protected

References polybori::groebner::VariablePairData::i, polybori::BoolePolynomial::isZero(), polybori::BoolePolynomial::lead(), and polybori::groebner::VariablePairData::v.

Polynomial polybori::groebner::NextSpoly::operator() | ( | const Pair & | act_pair | ) |

inline

References polybori::groebner::PairE::extract().

void polybori::groebner::NextSpoly::replacePair | ( | int & | first,
|  | int & | second
| ) |  |

inline protected

References polybori::BooleSet::divisorsOf(), polybori::BooleSet::expBegin(), and polybori::BooleSet::expEnd().

template<class Iterator >

void polybori::groebner::NextSpoly::replacePair | ( | Iterator | start,
|  | Iterator | finish,
|  | int & | first,
|  | int & | second
| ) |  |

inline protected

The documentation for this class was generated from the following file:

- NextSpoly.h